Subject: RE: Missing lib
From: [email-masked]
To: "Robert Collins" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 11 Mar 2002 23:28:07 +0100

Hello People

Yes, you are right. The reason for the problem was that the system admin
just copyd the linux make files, and modified the compile flags. He forgot
thei macro:

LINK = gcc -ldl

Removing the -ldl from the LINK macro fixed the problem.

My sinsere apolegies for not investing the problem properly, and many
thanks to the good people for the willing hands.

Kind Regards
Oddvard Myrnes :-)

                                                                                                                          
                    "Robert Collins"                                                                                      
                    <robert.collins@itdoma        To:     "Larry Hall (RFK Partners, Inc)" <[email-masked]>,               
                    in.com.au>                    <[email-masked]>                                        
                                                  cc:     <[email-masked]>                                             
                    11.03.2002 18:47              Subject:     RE: Missing lib                                            

> -----Original Message-----
> From: Larry Hall (RFK Partners, Inc) [mailto:[email-masked]]

> Perhaps if I (and the list) had a better idea of the
> functionality for which
> you are looking, I might be able to tell you where you will
> find it (assuming that it's in some other library in the
> Cygwin environment).  It's also
> possible that I'm the only one on this list that doesn't know
> what libdl.a does! ;-)

libdl on linux contains the dl* family of functions, which are exported
directly from libcygwin/libc for us. The users app will link fine, AS
LONG AS -ldl is not used.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/